Returns the number of documents inserted

- « MongoDB\Driver\BulkWriteCommandResult::getDeleteResults

- MongoDB\Driver\BulkWriteCommandResult::getInsertResults »

- PHP Manual
- MongoDB\Driver\BulkWriteCommandResult
- Returns the number of documents inserted

# MongoDB\Driver\BulkWriteCommandResult::getInsertedCount

(mongodb >=2.1.0)

MongoDB\Driver\BulkWriteCommandResult::getInsertedCount — Returns the number of documents inserted

### Description

final public MongoDB\Driver\BulkWriteCommandResult::getInsertedCount(): int

### Parameters

This function has no parameters.

### Return Values

Returns the total number of documents inserted (excluding upserts) by all operations.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\LogicException if the write was not acknowledged.

### Examples

Example #1 MongoDB\Driver\BulkWriteCommandResult::getInsertedCount() example

    <?php

    $manager = new MongoDB\Driver\Manager;

    $bulk = new MongoDB\Driver\BulkWriteCommand;
    $bulk->insertOne('db.coll', ['x' => 1]);
    $bulk->updateOne('db.coll', ['x' => 1], ['$set' => ['y' => 3]]);
    $bulk->updateOne('db.coll', ['x' => 2], ['$set' => ['y' => 1]], ['upsert' => true]);
    $bulk->updateOne('db.coll', ['x' => 3], ['$set' => ['y' => 2]], ['upsert' => true]);
    $bulk->deleteMany('db.coll', []);

    $result = $manager->executeBulkWriteCommand($bulk);

    var_dump($result->getInsertedCount());

    ?>

The above example will output:

    int(1)

### See Also

- MongoDB\Driver\BulkWriteCommandResult::getInsertResults() - Returns verbose results for successful inserts
- MongoDB\Driver\BulkWriteCommandResult::isAcknowledged() - Returns whether the write was acknowledged